`include "timescale.v"

module aes_ifreg(CLK, nRST, EN, R, DIN);
   parameter WIDTH = 8;
   input CLK;
   input nRST;
   input EN;
   input [WIDTH-1:0] 	DIN;
   output [WIDTH-1:0] 	R;

   reg [WIDTH-1:0] 	R;
   always @(posedge CLK or negedge nRST) begin
     if (!nRST)
       R <= 0;
     else if (EN)
       R <= DIN;
   end

endmodule

